> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Credential

> Updates the code and ends at date and time for a specified [credential](/low-level-apis/access-systems/managing-credentials).



## OpenAPI

````yaml /openapi.json post /acs/credentials/update
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/credentials/update:
    post:
      tags:
        - /acs
      summary: Update a Credential
      description: >-
        Updates the code and ends at date and time for a specified
        [credential](/low-level-apis/access-systems/managing-credentials).
      operationId: acsCredentialsUpdatePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_credential_id:
                  description: ID of the credential that you want to update.
                  type: string
                code:
                  description: >-
                    Replacement access (PIN) code for the credential that you
                    want to update.
                  pattern: ^\d+$
                  type: string
                ends_at:
                  description: >-
                    Replacement date and time at which the validity of the
                    credential ends, in [ISO
                    8601](https://www.iso.org/iso-8601-date-and-time-format.html)
                    format. Must be a time in the future and after the
                    `starts_at` value that you set when creating the credential.
                  format: date-time
                  type: string
              required:
                - acs_credential_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties: {}
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.credentials.update({
              acs_credential_id: "1d4fb22b-743b-492f-ad74-cffcbd63c874",
              code: "1234",
              ends_at: "2025-06-18T10:42:53.000Z",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/credentials/update" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "acs_credential_id": "1d4fb22b-743b-492f-ad74-cffcbd63c874",
              "code": "1234",
              "ends_at": "2025-06-18T10:42:53.000Z"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.acs.credentials.update(
                acs_credential_id="1d4fb22b-743b-492f-ad74-cffcbd63c874",
                code="1234",
                ends_at="2025-06-18T10:42:53.000Z",
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.acs.credentials.update(
              acs_credential_id: "1d4fb22b-743b-492f-ad74-cffcbd63c874",
              code: "1234",
              ends_at: "2025-06-18T10:42:53.000Z",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->credentials->update(
                acs_credential_id: "1d4fb22b-743b-492f-ad74-cffcbd63c874",
                code: "1234",
                ends_at: "2025-06-18T10:42:53.000Z",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs credentials update --acs_credential_id
            "1d4fb22b-743b-492f-ad74-cffcbd63c874" --code "1234" --ends_at
            "2025-06-18T10:42:53.000Z"


            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````